|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions
gameplay::TimeListener Class Reference

`#include <TimeListener.h>`

Inherited by gameplay::Game::ShutdownListener, and gameplay::ScriptController::ScriptTimeListener.

List of all members.

## Public Member Functions

virtual void | timeEvent (long timeDiff, void *cookie)=0

## Detailed Description

Defines a interface to be scheduled and called back at a later time using Game::schedule().

## Member Function Documentation

virtual void gameplay::TimeListener::timeEvent | ( | long | timeDiff,
|  | void * | cookie
| ) |  | `[pure virtual]`

Callback method that is called when the scheduled event is fired.

Parameters:

  timeDiff | The time difference between the current game time and the target time. The time differences will always be non-negative because scheduled events will not fire early.
  cookie | The cookie data that was passed when the event was scheduled.

All Classes Functions Variables Typedefs Enumerations Enumerator